#include <bits/stdc++.h>

using namespace std;

bool smaller(int x);

int find_number(int MAX){
    int minn = 0, midd = MAX/2 , maxx = MAX;
    while(midd>minn){
        if(smaller(midd)){
            maxx = midd;
        } else {
            minn = midd;
        }
        midd = (minn+maxx)/2;
    }
    return midd;
}